Option | Description | Values | Default
--- | --- | --- | ---
packageName | Finch package name (e.g. org.openapitools). |  | org.openapitools
modelPackage | package for generated models |  | null
apiPackage | package for generated api classes |  | null

##
IMPORT MAPPING

Type/Alias | Imports
--- | ---
LocalDateTime | java.time.LocalDateTime
LocalTime | java.time.LocalTime
HashMap | scala.collection.immutable.HashMap
URI | java.net.URI
Timestamp | java.sql.Timestamp
LocalDate | java.time.LocalDate
BigDecimal | java.math.BigDecimal
Date | java.util.Date
DateTime | java.time.LocalDateTime
ZonedDateTime | java.time.ZonedDateTime
ArrayBuffer | scala.collection.mutable.ArrayBuffer
UUID | java.util.UUID
File | java.io.File
Map | scala.collection.immutable.Map
Seq | scala.collection.immutable.Seq

##
INSTANTIATION TYPES

Type/Alias | Instantiated By
--- | ---
array | ArrayList
map | HashMap

##
LANGUAGE PRIMITIVES

- Integer
- Float
- AnyVal
- AnyRef
- Long
- Object
- String
- Boolean
- Double
- Any
- Int

##
RESERVED WORDS

- synchronized
- def
- do
- type
- while
- float
- protected
- else
- continue
- trait
- catch
- forsome
- if
- case
- val
- new
- package
- static
- void
- sealed
- var
- double
- byte
- finally
- this
- strictfp
- throws
- enum
- extends
- null
- transient
- final
- true
- try
- object
- implements
- implicit
- private
- import
- const
- lazy
- for
- interface
- long
- switch
- default
- goto
- public
- native
- assert
- yield
- override
- class
- break
- false
- match
- volatile
- abstract
- int
- instanceof
- super
- with
- throw
- char
- short
- return

Last updated on 1/9/2020